* PRINT1

erase
@ 12,30 say "PRINTING.  Do not Touch!!!"

SET print on
set console off
GOTO TOP
DO WHILE .NOT. EOF
  STORE T TO MLINE
  DO WHILE MLINE .AND. .NOT. EOF
    ?
    ? GSCHOOL + "     "
    ?? "PER. " + FILE2
    ?? "        CLASS > " + GCLASS
    ? GTEACHER
    ?? "                    DATE  > " + DATE()
    ?
    ? "         1    2    3    4    5" + ;
           "    6    7    8    9    10"
    ? "========================================" + ;
      "======================================"
    STORE F TO MCON
    STORE 6 TO MNUM
    DO WHILE .NOT. MCON .AND. .NOT. EOF
        ? NAME
        ?? "                             GRADE --->     " + GRADE
        ? "TESTS"
        IF TEST01 = 999.00
            ?? "  --"
        ELSE
            store str(test01,4,0) to test
            ?? test
        ENDIF
        IF TEST02 = 999.00
            ?? "  --"
        ELSE
            store str(test02,4,0) to test
            ?? test
        ENDIF
        IF TEST03 = 999.00
            ?? "  --"
        ELSE
            store str(test03,4,0) to test
            ?? test
        ENDIF
        IF TEST04 = 999.00
            ?? "  --"
        ELSE
            store str(test04,4,1) to test
            ?? test
        ENDIF
        IF TEST05 = 999.00
            ?? "  --"
        ELSE
            store str(test05,4,0) to test
            ?? test
        ENDIF
        ?? "                        GPA -----> "
        IF TOTAL = 999.00
            ?? " 00"
        ELSE
            ?? TOTAL
        ENDIF
        ? "PROJS"
        IF PROJ01 = 999.00
            ?? "  --"
        ELSE
            store str(proj01,4,0) to test
            ?? test
        ENDIF
        IF PROJ02 = 999.00
            ?? "  --"
        ELSE
            store str(proj02,4,0) to test
            ?? test
        ENDIF
        IF PROJ03 = 999.00
            ?? "  --"
        ELSE
            store str(proj03,4,0) to test
            ?? test
        ENDIF
        IF PROJ04 = 999.00
            ?? "  --"
        ELSE
            store str(proj04,4,0) to test
            ?? test
        ENDIF
        IF PROJ05 = 999.00
            ?? "  --"
        ELSE
            store str(proj05,4,0) to test
            ?? test
        ENDIF
        ? "ASSNS"
        IF ASN01 = 999.00
            ?? "  --"
        ELSE
            store str(asn01,4,0) to test
            ?? test
        ENDIF
        IF ASN02 = 999.00
            ?? "  --"
        ELSE
            store str(asn02,4,0) to test
            ?? test
        ENDIF
        IF ASN03 = 999.00
            ?? "  --"
        ELSE
            store str(asn03,4,0) to test
            ?? test
        ENDIF
        IF ASN04 = 999.00
            ?? "  --"
        ELSE
            store str(asn04,4,0) to test
            ?? test
        ENDIF
        IF ASN05 = 999.00
            ?? "  --"
        ELSE
            store str(asn05,4,0) to test
            ?? test
        ENDIF
        IF ASN06 = 999.00
            ?? "  --"
        ELSE
            store str(asn06,4,0) to test
            ?? test
        ENDIF
        IF ASN07 = 999.00
            ?? "  --"
        ELSE
            store str(asn07,4,0) to test
            ?? test
        ENDIF
        IF ASN08 = 999.00
            ?? "  --"
        ELSE
            store str(asn08,4,0) to test
            ?? test
        ENDIF
        IF ASN09 = 999.00
            ?? "  --"
        ELSE
            store str(asn09,4,0) to test
            ?? test
        ENDIF
        IF ASN10 = 999.00
            ?? "  --"
        ELSE
            store str(asn10,4,0) to test
            ?? test
        ENDIF
        IF ASN11 = 999.00
            ? "        --"
        ELSE
            ? "     "
            store str(asn11,4,0) to test
            ?? test
        ENDIF
        IF ASN12 = 999.00
            ?? "  --"
        ELSE
            store str(asn12,4,0) to test
            ?? test
        ENDIF
        IF ASN13 = 999.00
            ?? "  --"
        ELSE
            store str(asn13,4,0) to test
            ?? test
        ENDIF
        IF ASN14 = 999.00
            ?? "  --"
        ELSE
            store str(asn14,4,0) to test
            ?? test
        ENDIF
        IF ASN15 = 999.00
            ?? "  --"
        ELSE
            store str(asn15,4,0) to test
            ?? test
        ENDIF
        SKIP
        STORE 5 + MNUM TO MNUM
        IF MNUM > 59
            STORE T TO MCON
        ELSE
            LOOP
        ENDIF
    ENDDO
    ?
    ?
    ?
    ?
    ?
  ENDDO
ENDDO

store 5 + mnum to mnum
store 66 to tnum
do while mnum < tnum
    ?
    store 1 + mnum to mnum
enddo

set print off
set console on
release test, mnum, tnum
return
    store str(test01,4,0) to test
            ?? test
        ENDIF
        IF TEST02 = 999.00
            ?? "  --"
        ELSE
            store str(test02,4,0) to test
            ?? test
        ENDIF
        IF TEST03 = 999